Bug 1049805 - Rebase of fence agents
Summary: Rebase of fence agents
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents
Version: 6.5
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-08 09:17 UTC by Marek Grac
Modified: 2015-07-22 06:58 UTC (History)
7 users (show)

Fixed In Version: fence-agents-4.0.15-7.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Important: if this rebase instead contains *only bug fixes,* or *only enhancements*, select the correct option from the Doc Type drop-down list. Rebase package(s) to version: Highlights, important fixes, or notable enhancements: option --tls1.0 for fence_ilo/fence_ilo2
Clone Of:
Environment:
Last Closed: 2015-07-22 06:58:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1350 normal SHIPPED_LIVE fence-agents bug fix and enhancement update 2015-07-20 17:59:44 UTC

Description Marek Grac 2014-01-08 09:17:12 UTC
Fence-agents in RHEL6 are based on upstream version 3.1.x (same as in RHEL5). This helps us to be able to fix problems in both versions without a lot of additional work. Currently, fence-agents in RHEL7 (and upstream) are based on version 4.0.x - there were a lot of code cleanup so backporting patches is much more difficult than before. Problem with version 4.0.x is that it removes some non-standard (or deprecated) functions what can have impact on fence agents. This is the main reason why there is branch 3.9.x which incorporates all changes from 4.0.x versions but it does not apply patches (<10 small patches that removes code) that removes backward compatibility. It will be appreciated if we can use this version also in RHEL6.6+

Comment 7 Marek Grac 2015-02-18 13:45:28 UTC
@Steve:

There are 300+ patches in upstream as there was big refactoring and code is much more readable now. All changes that break backward compatibility were marked as 'COMPATIBILITY BREAK' in upstream (as we are upstream). With rebase we will have fixed all bugs found during 7.0/7.1 cycle (20+ bugs) and we will benefit with very similar codebase with RHEL7. Another improvement is fixing of CVE-2014-0104 
which was not addressed before in RHEL6, with this update only one fence agent is not fixed (fence_vmware_soap as it will require package that is not in RHEL6).

Backward compatibility is provided by set of 16 patches which are based on 'COMPATIBILITY BREAK' bugs.

Comment 20 errata-xmlrpc 2015-07-22 06:58:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1350.html


Note You need to log in before you can comment on or make changes to this bug.